## python-keystonemiddleware 4.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=2.21.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
positional>=1.1.1 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
WebOb>=1.7.1 # MIT

=== debian/changelog ===
python-keystonemiddleware (4.17.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/no-intersphinx.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 09:50:22 -0400

python-keystonemiddleware (4.16.0-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:56 -0400

python-keystonemiddleware (4.16.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 16:07:34 -0400

python-keystonemiddleware (4.15.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.
  * Refresh patches.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:01:23 +0100

python-keystonemiddleware (4.14.0-0ubuntu1.2) zesty; urgency=medium

  * d/control: Drop python-bandit as it's not needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 14:46:28 -0500

python-keystonemiddleware (4.14.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 07:30:52 -0500

python-keystonemiddleware (4.13.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/patches/fix-webob-tests.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jan 2017 10:37:29 -0500

python-keystonemiddleware (4.13.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Wrap and sort.
  * debian/patches/fix-webob-tests.patch: Fix unit tests failure.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jan 2017 09:10:19 -0500

python-keystonemiddleware (4.12.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/re-add-missing-auth-options.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 11:11:04 -0500

python-keystonemiddleware (4.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 13:31:13 -0500

python-keystonemiddleware (4.10.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/tests: Add autopkgtest
  * debian/control: Add python-webtest depdendency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Oct 2016 09:35:13 -0400

python-keystonemiddleware (4.9.0-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * .gitreview: Copy upstream version of file.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/*: Rebased.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:56:36 +0100

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools
Build-Depends-Indep: git,
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.6),
                     python-docutils (>= 0.11),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 2.21.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-positional (>= 1.1.1),
                     python-pycadf (>= 1.1.0),
                     python-memcache (>= 1.56),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.5.1),
                     python-stevedore (>= 1.20.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.7.1),
                     python-webtest (>= 2.0),
                     python3-coverage (>= 4.0),
                     python3-cryptography (>= 1.6),
                     python3-docutils (>= 0.11),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-keystoneauth1 (>= 2.21.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.context (>= 2.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.messaging (>= 5.14.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-positional (>= 1.1.1),
                     python3-pycadf (>= 1.1.0),
                     python3-memcache (>= 1.56),
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.5.1),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-testrepository (>= 0.0.18),
                     python3-testresources (>= 0.2.4),
                     python3-testtools (>= 1.4.0),
                     python3-webob (>= 1.7.1),
                     python3-webtest (>= 2.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystonemiddleware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystonemiddleware
Homepage: https://launchpad.net/keystonemiddleware
XS-Testsuite: autopkgtest

Package: python-keystonemiddleware
Architecture: all
Depends: python-keystoneauth1 (>= 2.21.0),
         python-keystoneclient (>= 1:3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-positional (>= 1.0.1),
         python-pycadf (>= 1.1.0),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-webob (>= 1.7.1),
         ${misc:Depends},
         ${python:Depends}
Description: Middleware for OpenStack Identity (Keystone) - Python 2.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 2.x module.

Package: python3-keystonemiddleware
Architecture: all
Depends: python3-keystoneauth1 (>= 2.21.0),
         python3-keystoneclient (>= 1:3.8.0),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.context (>= 2.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.messaging (>= 5.14.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-positional (>= 1.0.1),
         python3-pycadf (>= 1.1.0),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-webob (>= 1.7.1),
         ${misc:Depends},
         ${python3:Depends}
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

## python-keystonemiddleware 4.21.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=3.3.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.31.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generating sphinx documentation
doc8>=0.6.0 # Apache-2.0
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx>=1.6.2 # BSD

# For autodoc builds
mock>=2.0.0 # BSD
oslotest>=1.10.0 # Apache-2.0
requests-mock>=1.1.0 # Apache-2.0
testresources>=2.0.0 # Apache-2.0/BSD
python-memcached>=1.56 # PSF
WebTest>=2.0.27 # MIT
oslo.messaging>=5.29.0 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (4.21.0-0ubuntu1) bionic; urgency=medium

  * d/*: wrap-and-sort -bast.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 13:12:21 -0500

python-keystonemiddleware (4.18.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 11:52:33 -0500

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-docutils (>= 0.11),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.10.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-memcache (>= 1.56),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.31.0),
 python-oslotest (>= 1:1.10.0),
 python-pycadf (>= 1.1.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 1.9),
 python3-docutils (>= 0.11),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.10.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-memcache (>= 1.56),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.31.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystonemiddleware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystonemiddleware
Homepage: https://launchpad.net/keystonemiddleware
XS-Testsuite: autopkgtest

Package: python-keystonemiddleware
Architecture: all
Depends:
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.messaging (>= 5.14.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.31.0),
 python-pycadf (>= 1.1.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 2.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 2.x module.

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

Package: python3-keystonemiddleware
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.14.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.31.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Tests: import
Depends: python-keystonemiddleware, python3-keystonemiddleware

## python-keystonemiddleware 5.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=3.4.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,14 +4,15 @@
 
 # For generating sphinx documentation
 doc8>=0.6.0 # Apache-2.0
-openstackdocstheme>=1.17.0 # Apache-2.0
+openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinxcontrib-apidoc>=0.2.0  # BSD
 
 # For autodoc builds
 mock>=2.0.0 # BSD
-oslotest>=1.10.0 # Apache-2.0
-requests-mock>=1.1.0 # Apache-2.0
+oslotest>=3.2.0 # Apache-2.0
+requests-mock>=1.2.0 # Apache-2.0
 testresources>=2.0.0 # Apache-2.0/BSD
 python-memcached>=1.56 # PSF
 WebTest>=2.0.27 # MIT

=== debian/changelog ===
python-keystonemiddleware (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:04:04 +0200

python-keystonemiddleware (5.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Refreshed no-intersphinx patch.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 16:36:11 +0200

python-keystonemiddleware (4.21.0-0) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed re-add-missing-auth-options.patch: will hard-wire this in a
    pkgos-readd-keystone-authtoken-options script.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Mar 2018 13:39:03 +0100

python-keystonemiddleware (4.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:57:37 +0000

python-keystonemiddleware (4.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.
  * Rebase patches.
  * Blacklist more failing unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2017 21:02:57 +0200

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-bandit,
 python-coverage,
 python-cryptography (>= 2.1),
 python-docutils,
 python-fixtures,
 python-hacking,
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-memcache,
 python-mock,
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-pycadf (>= 1.1.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six,
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-testresources (>= 2.0.0),
 python-testtools (>= 2.2.0),
 python-webob (>= 1.7.1),
 python-webtest (>= 2.0.27),
 python3-bandit,
 python3-cryptography (>= 2.1),
 python3-docutils,
 python3-fixtures,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-memcache,
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware.git
Homepage: https://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware
Architecture: all
Depends:
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.31.0),
 python-pbr (>= 2.0.0),
 python-pycadf (>= 1.1.0),
 python-requests (>= 2.14.2),
 python-six,
 python-webob,
 ${misc:Depends},
 ${python:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 2.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 2.x module.

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

Package: python3-keystonemiddleware
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.31.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystonemiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'keystonemiddleware.tests\.unit\.(?!(.*OptsTestCase.test_entry_point.*|.*test_opts.OptsTestCase.test_list_auth_token_opts.*|.*test_opts.OptsTestCase.test_original_list_all_options.*|.*auth_token.test_auth_token_middleware.v3AuthTokenMiddlewareTest.test_auth_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_loading_password_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_mixed_opts.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_with_auth_section.*|.*auth_token.test_auth_token_middleware.v2AuthTokenMiddlewareTest.test_auth_plugin.*))'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-keystonemiddleware-doc/usr/share/doc/python-keystonemiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-keystonemiddleware 6.0.0

=== debian/changelog ===
python-keystonemiddleware (6.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:32:23 +0200

python-keystonemiddleware (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 10:49:56 +0100

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 92~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-bandit,
 python3-coverage,
 python3-cryptography,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-memcache,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pycadf,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware.git
Homepage: https://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

Package: python3-keystonemiddleware
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pycadf,
 python3-requests,
 python3-six,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

## python-keystonemiddleware 7.0.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,9 +4,10 @@
 
 # For generating sphinx documentation
 doc8>=0.6.0 # Apache-2.0
-openstackdocstheme>=1.18.1 # Apache-2.0
+openstackdocstheme>=1.20.0 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD
 
 # For autodoc builds

=== debian/changelog ===
python-keystonemiddleware (7.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 22:00:46 +0200

python-keystonemiddleware (7.0.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Sep 2019 11:41:58 +0200

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
  python3-docutils,
  python3-fixtures,
  python3-hacking,
- python3-keystoneauth1,
- python3-keystoneclient,
- python3-memcache,
+ python3-keystoneauth1 (>= 3.12.0),
+ python3-keystoneclient (>= 1:3.20.0),
+ python3-memcache (>= 1.59),
  python3-mock,
  python3-openstackdocstheme,
  python3-oslo.cache,
@@ -47,7 +47,7 @@
  python3-webob,
  python3-webtest,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware.git
 Homepage: https://launchpad.net/keystonemiddleware
@@ -69,8 +69,8 @@
 Package: python3-keystonemiddleware
 Architecture: all
 Depends:
- python3-keystoneauth1,
- python3-keystoneclient,
+ python3-keystoneauth1 (>= 3.12.0),
+ python3-keystoneclient (>= 1:3.20.0),
  python3-oslo.cache,
  python3-oslo.config,
  python3-oslo.context,

## python-keystonemiddleware 8.0.0

=== debian/changelog ===
python-keystonemiddleware (8.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/drop-sphinxcontrib-apidoc.patch: Rebased.
  * d/p/no-intersphinx.patch: Rebased.
  * d/p/drop-sphinxcontrib.rsvgconverter.patch: Drop sphinxcontrib.rsvgconverter
    extension until package is available.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:19:10 +0000

python-keystonemiddleware (7.0.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 10:51:58 +0200

python-keystonemiddleware (6.1.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:32:02 -0400

python-keystonemiddleware (6.0.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-keystonemiddleware binary package.
    - d/control: Drop BDI's on python-*.
    - d/rules: Skip install and test of Python 2 module.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 08:41:25 +0100

python-keystonemiddleware (6.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 15:03:54 -0400

python-keystonemiddleware (5.3.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/bug1789351.patch: Drop, included upstream.
  * d/control: Use python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 10:43:56 +0000

python-keystonemiddleware (5.2.0-0ubuntu2) cosmic; urgency=medium

  * d/p/bug1789351.patch: Cherry pick fix for dict iteration issue under
    Python 3 (LP: #1789351).

 -- James Page <james.page@ubuntu.com>  Fri, 07 Sep 2018 14:24:11 +0100

python-keystonemiddleware (5.2.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/p/no-intersphinx.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 13:53:34 -0400

python-keystonemiddleware (5.1.0-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Update Standards-Version to 4.1.2.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 09:37:17 -0400

## python-keystonemiddleware 9.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,9 +6,11 @@
 doc8>=0.6.0 # Apache-2.0
 openstackdocstheme>=1.20.0 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
 sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD
+
+# PDF Docs
+sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
 
 # For autodoc builds
 mock>=2.0.0 # BSD

=== debian/changelog ===
python-keystonemiddleware (9.0.0-0ubuntu1.1) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Jorge Merlino ]
  * d/p/remove-cache-invalidation.patch: Remove cache invalidation when
    using expired token (LP: #1987355).

 -- Jorge Merlino <jorge.merlino@canonical.com>  Mon, 14 Aug 2023 18:09:51 -0300

python-keystonemiddleware (9.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.
  * d/p/drop-sphinxcontrib.rsvgconverter.patch,
    d/p/no-intersphinx.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:54:44 -0400

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-doc8 (>= 0.6.0),
 python3-docutils,
 python3-fixtures (>= 3.0.0),
 python3-flake8-docstrings (>= 0.2.1.post1),
 python3-keystoneauth1 (>= 3.12.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-memcache (>= 1.59),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystonemiddleware
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystonemiddleware
Homepage: https://launchpad.net/keystonemiddleware
Testsuite: autopkgtest-pkg-python

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

Package: python3-keystonemiddleware
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.12.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystonemiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'keystonemiddleware.tests\.unit\.(?!(.*OptsTestCase.test_entry_point.*|.*test_opts.OptsTestCase.test_list_auth_token_opts.*|.*test_opts.OptsTestCase.test_original_list_all_options.*|.*auth_token.test_auth_token_middleware.v3AuthTokenMiddlewareTest.test_auth_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_loading_password_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_mixed_opts.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_with_auth_section.*|.*auth_token.test_auth_token_middleware.v2AuthTokenMiddlewareTest.test_auth_plugin.*))'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-keystonemiddleware-doc/usr/share/doc/python-keystonemiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/keystonemiddleware/ keystonemiddleware-(\d.*)\.tar\.gz
